# Uses of Class
org.eclipse.ui.keys.NaturalKey

Packages that use NaturalKey
Package
Description
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of NaturalKey in org.eclipse.ui.keys

Subclasses of NaturalKey in org.eclipse.ui.keys
Modifier and Type
Class
Description
`final class`
`CharacterKey`
Deprecated.
Please use org.eclipse.jface.bindings.keys.KeyStroke and org.eclipse.jface.bindings.keys.KeyLookupFactory
`final class`
`SpecialKey`
Deprecated.
Please use org.eclipse.jface.bindings.keys.KeyStroke and org.eclipse.jface.bindings.keys.KeyLookupFactory
Methods in org.eclipse.ui.keys that return NaturalKey
Modifier and Type
Method
Description
`NaturalKey`
KeyStroke.`getNaturalKey()`
Deprecated.
Returns the natural key for this key stroke.
Methods in org.eclipse.ui.keys with parameters of type NaturalKey
Modifier and Type
Method
Description
`static KeyStroke`
KeyStroke.`getInstance(SortedSet modifierKeys, NaturalKey naturalKey)`
Deprecated.
Gets an instance of `KeyStroke` given a set of modifier keys and a natural key.
`static KeyStroke`
KeyStroke.`getInstance(ModifierKey[] modifierKeys, NaturalKey naturalKey)`
Deprecated.
Gets an instance of `KeyStroke` given an array of modifier keys and a natural key.
`static KeyStroke`
KeyStroke.`getInstance(ModifierKey modifierKey, NaturalKey naturalKey)`
Deprecated.
Gets an instance of `KeyStroke` given a single modifier key and a natural key.
`static KeyStroke`
KeyStroke.`getInstance(NaturalKey naturalKey)`
Deprecated.
Gets an instance of `KeyStroke` given a natural key.